#https://www.freecodecamp.org/news/build-your-first-python-package/

from setuptools import setup, find_packages

VERSION = '0.0.1.9'
DESCRIPTION = 'Python package to parse Wikipedia html tables with row and col spans'
LONG_DESCRIPTION = 'This is a python library to extract dataframe from a Wikipedia HTML table with rowspans and colspans.'

setup(
    name="DataframeFromWikiTable",
    version=VERSION,
    author="Santosh Srinivas",
    author_email="<santosh.b.srinivas@outlook.com>",
    description=DESCRIPTION,
    long_description=LONG_DESCRIPTION,
    license='MIT',
    packages=find_packages(),
    install_requires=['numpy', 'pandas', 'beautifulsoup4'],
    keywords=['python', 'html table rowspan colspan', 'scrape parse extract', 'dataframe'],
    # classifiers=[
    #     "Development Status :: 3 - Alpha",
    #     "Intended Audience :: Developers",
    #     "Programming Language :: Python :: 3",
    # ]
)
